import BasicPage from "../../../components/basic-page-template";
import WCard from "../../../components/werefox-card";
import LCard from "../../../components/love-card";

// Use this to list out partner info on this page. >w>

const PARTNERS = {
  kyla: {
    url: "https://yiff.life/@midyif",
    avi: "/images/kyla.png",
    fields: {
      "art blog": "https://midyif.neocities.org/",
    },
    bio: ` ‎ ‎ ‎ ❤️ howdy y'all, let's be pals!~
    ‎ ‎ ‎ ‎ 💛 30 she/her queer anarchist lion mama
    ‎ ‎ ‎ ‎ 💙 cutie partner @shaymoo`,
  },
};

export default function Partners() {
  if (Object.keys(PARTNERS).length) {
    return (
      <BasicPage page_title="Partners" card_title="Partners!">
        {Object.keys(PARTNERS).map((partner) => (
          <LCard
            key={PARTNERS[partner].url}
            src={PARTNERS[partner].avi}
            alt={`${partner}'s Avatar`}
            url={PARTNERS[partner].url}
            user={partner}
            fields={PARTNERS[partner].fields}
            bio={PARTNERS[partner].bio}
          ></LCard>
        ))}
      </BasicPage>
    );
  } else {
    return (
      <BasicPage page_title="Partners" card_title="Partners!">
        <WCard>
          <p className="p-6 text-lg text-center text-werefox-blue-dark dark:text-werefox-blue">
            Oh! It looks like I don't have any partners at the moment.
            <br />
            Oh well!
          </p>
        </WCard>
      </BasicPage>
    );
  }
}
